Brian, better use MSVS 2005 for it. Ruby 1.8.5 is compiled in Studio.